Create
curl --request POST \
--url https://api.qa.sima.ag/api/v2/third_party/application_order_labour_types \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: */*' \
--header 'X-SIMA-SYSTEM-ID: <api-key>' \
--data '
"\"{\\n \\\"name\\\": \\\"Test 3\\\",\\n \\\"voucher_type_id\\\": 47,\\n \\\"wo_labour_type_category_id\\\": 1,\\n \\\"wo_labour_type_attribute_ids\\\": [1,2, 3]\\n}\\n\""
'import requests
url = "https://api.qa.sima.ag/api/v2/third_party/application_order_labour_types"
payload = "\"{\n \\"name\\": \\"Test 3\\",\n \\"voucher_type_id\\": 47,\n \\"wo_labour_type_category_id\\": 1,\n \\"wo_labour_type_attribute_ids\\": [1,2, 3]\n}\n\""
headers = {
"Authorization": "Bearer <token>",
"X-SIMA-SYSTEM-ID": "<api-key>",
"Content-Type": "*/*"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-SIMA-SYSTEM-ID': '<api-key>',
'Content-Type': '*/*'
},
body: JSON.stringify('"{\n \"name\": \"Test 3\",\n \"voucher_type_id\": 47,\n \"wo_labour_type_category_id\": 1,\n \"wo_labour_type_attribute_ids\": [1,2, 3]\n}\n"')
};
fetch('https://api.qa.sima.ag/api/v2/third_party/application_order_labour_types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qa.sima.ag/api/v2/third_party/application_order_labour_types",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode('"{\\n \\"name\\": \\"Test 3\\",\\n \\"voucher_type_id\\": 47,\\n \\"wo_labour_type_category_id\\": 1,\\n \\"wo_labour_type_attribute_ids\\": [1,2, 3]\\n}\\n"'),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: */*",
"X-SIMA-SYSTEM-ID: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": 5,
"name": "Test 7",
"voucher_type_id": 7,
"date_crated": "2022-08-31T17:07:01-03:00",
"date_modified": "2022-08-31T17:07:01-03:00"
}
Version 1 > Application Order Labour Types
Create
POST
/
api
/
v2
/
third_party
/
application_order_labour_types
Create
Authorizations
access_token obtenido via POST /api/v2/login
Identificador del sistema integrador (8 para Third-Party API)
Body
*/*
The body is of type string.
Example:
"\"{\\n \\\"name\\\": \\\"Test 3\\\",\\n \\\"voucher_type_id\\\": 47,\\n \\\"wo_labour_type_category_id\\\": 1,\\n \\\"wo_labour_type_attribute_ids\\\": [1,2, 3]\\n}\\n\""
Response
Created
The response is of type object.

